<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:label="lombardbankmaltaplc_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_FinancialInvestments" xlink:label="lombardbankmaltaplc_FinancialInvestments" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_RevaluationAndOtherReserves" xlink:label="lombardbankmaltaplc_RevaluationAndOtherReserves" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_Lombardbankmaltaplc_Otherliabilities" xlink:label="lombardbankmaltaplc_Lombardbankmaltaplc_Otherliabilities" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_Commitments" xlink:label="lombardbankmaltaplc_Commitments" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_InterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithCentralBankOfMaltaAndTreasuryBills" xlink:label="lombardbankmaltaplc_InterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithCentralBankOfMaltaAndTreasuryBills" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestRevenueExpense" xlink:label="ifrs-full_InterestRevenueExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FeeAndCommissionIncomeExpense" xlink:label="ifrs-full_FeeAndCommissionIncomeExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RevenueAndOperatingIncome" xlink:label="ifrs-full_RevenueAndOperatingIncome" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_ProvisionsForLiabilitiesAndOtherCharges" xlink:label="lombardbankmaltaplc_ProvisionsForLiabilitiesAndOtherCharges" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_OtherItems" xlink:label="lombardbankmaltaplc_OtherItems" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_InterestFeesAndCommissionReceipts" xlink:label="lombardbankmaltaplc_InterestFeesAndCommissionReceipts" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_InterestFeesAndCommissionPayments" xlink:label="lombardbankmaltaplc_InterestFeesAndCommissionPayments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:label="lombardbankmaltaplc_AdjustmentForDecreaseIncreaseInTreasuryBills" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_LoansAndAdvancesToBanksAndCustomers" xlink:label="lombardbankmaltaplc_LoansAndAdvancesToBanksAndCustomers" />
    <loc xlink:type="locator" xlink:href="529900UIRB65OY6U4B21-2025-12-31.xsd#lombardbankmaltaplc_AmountsOwedToBanksAndToCustomers" xlink:label="lombardbankmaltaplc_AmountsOwedToBanksAndToCustomers" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcBalancesWithCentralBankOfMaltaTreasuryBillsAndCash_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_FinancialInvestments" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcFinancialInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_RevaluationAndOtherReserves" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcRevaluationAndOtherReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_Lombardbankmaltaplc_Otherliabilities" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcLombardbankmaltaplc_Otherliabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_Commitments" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcCommitments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_InterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithCentralBankOfMaltaAndTreasuryBills" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcInterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithCentralBankOfMaltaAndTreasuryBills_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InterestRevenueExpense" xlink:to="label_lombardbankmaltaplc_ifrs-fullInterestRevenueExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="label_lombardbankmaltaplc_ifrs-fullFeeAndCommissionIncomeExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RevenueAndOperatingIncome" xlink:to="label_lombardbankmaltaplc_ifrs-fullRevenueAndOperatingIncome_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_ProvisionsForLiabilitiesAndOtherCharges" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcProvisionsForLiabilitiesAndOtherCharges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="label_lombardbankmaltaplc_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_OtherItems" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcOtherItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_InterestFeesAndCommissionReceipts" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcInterestFeesAndCommissionReceipts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_InterestFeesAndCommissionPayments" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcInterestFeesAndCommissionPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="label_lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcAdjustmentForDecreaseIncreaseInTreasuryBills_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_LoansAndAdvancesToBanksAndCustomers" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcLoansAndAdvancesToBanksAndCustomers_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lombardbankmaltaplc_AmountsOwedToBanksAndToCustomers" xlink:to="label_lombardbankmaltaplc_lombardbankmaltaplcAmountsOwedToBanksAndToCustomers_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_lombardbankmaltaplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcBalancesWithCentralBankOfMaltaTreasuryBillsAndCash_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcBalancesWithCentralBankOfMaltaTreasuryBillsAndCash_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Balances with Central Bank of Malta, treasury bills and cash</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcFinancialInvestments_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcFinancialInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Financial investments</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcRevaluationAndOtherReserves_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcRevaluationAndOtherReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Revaluation and other reserves</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcLombardbankmaltaplc_Otherliabilities_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcLombardbankmaltaplc_Otherliabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other liabilities</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcCommitments_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcCommitments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Commitments</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcInterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithCentralBankOfMaltaAndTreasuryBills_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcInterestReceivableAndSimilarIncomeOnLoansAndAdvancesBalancesWithCentralBankOfMaltaAndTreasuryBills_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest receivable and similar income on loans and advances, balances with Central Bank of Malta and treasury bills</label>
    <label xlink:label="label_lombardbankmaltaplc_ifrs-fullInterestRevenueExpense_Total" id="lombardbankmaltaplc_ifrs-fullInterestRevenueExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net interest income</label>
    <label xlink:label="label_lombardbankmaltaplc_ifrs-fullFeeAndCommissionIncomeExpense_Total" id="lombardbankmaltaplc_ifrs-fullFeeAndCommissionIncomeExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net fee and commission income</label>
    <label xlink:label="label_lombardbankmaltaplc_ifrs-fullRevenueAndOperatingIncome_Total" id="lombardbankmaltaplc_ifrs-fullRevenueAndOperatingIncome_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Operating income</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcProvisionsForLiabilitiesAndOtherCharges_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcProvisionsForLiabilitiesAndOtherCharges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Provisions for liabilities and other charges</label>
    <label xlink:label="label_lombardbankmaltaplc_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" id="lombardbankmaltaplc_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total transactions with owners</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcOtherItems_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcOtherItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other items</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcInterestFeesAndCommissionReceipts_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcInterestFeesAndCommissionReceipts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest, fees and commission receipts</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcInterestFeesAndCommissionPayments_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcInterestFeesAndCommissionPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest, fees and commission payments</label>
    <label xlink:label="label_lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" id="lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from operating profit before changes in operating assets and liabilities</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcAdjustmentForDecreaseIncreaseInTreasuryBills_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcAdjustmentForDecreaseIncreaseInTreasuryBills_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Movements in operating assets resulting from Treasury bills</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcLoansAndAdvancesToBanksAndCustomers_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcLoansAndAdvancesToBanksAndCustomers_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Movements in operating assets resulting from Loans and advances to banks and customers</label>
    <label xlink:label="label_lombardbankmaltaplc_lombardbankmaltaplcAmountsOwedToBanksAndToCustomers_Standard" id="lombardbankmaltaplc_lombardbankmaltaplcAmountsOwedToBanksAndToCustomers_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Movements in operating liabilities resulting from Amounts owed to banks and to customers</label>
    <label xlink:label="label_lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows generated from operating activities</label>
    <label xlink:label="label_lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows used in investing activities</label>
    <label xlink:label="label_lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="lombardbankmaltaplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows generated from financing activities</label>
    <label xlink:label="label_lombardbankmaltaplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="lombardbankmaltaplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net (decrease) increase in cash and cash equivalents</label>
  </labelLink>
</linkbase>